part of '../../../store_management.dart';

class ProductTypeFilter extends NameFilter<int, ProductTypeModel> {
  const ProductTypeFilter({
    super.ids,
    super.status,
    super.text,
  });

  @override
  bool textCheck(ProductTypeModel element) =>
      super.textCheck(element) ||
      (text?.check(element.description, contains: true) ?? true);

  @override
  Map<String, dynamic> toMap() => {...super.toMap()};
}
